function scatter_plot_q1(Y,YY)

% For this script I assume that Y is the one dimensional projection before 
% renormalization and YY is the one dimensional projection after
% renormalization. This script will provide a visualization of the two
% projections to see how different they are. 


% First we scatter plot the points without normalization and visualize it
% by setting color for first fifty (left to right) as blue and next fifty
% as red.

[A,B] = sort(Y);


figure;
scatter(Y(B(1:50)),zeros(50,1),'b');
hold on
scatter(Y(B(51:100)),zeros(50,1),'r');

% Now we plot the points after renormalization with the same color scheme.

figure;
scatter(YY(B(1:50)),zeros(50,1),'b');
hold on
scatter(YY(B(51:100)),zeros(50,1),'r');


% For first part of question where the projection should remain unchanged,
% both the figures produced by this script will have all left half points
% colored blue and right half colored red. For second part of the question
% the first figure will be right half blue and left half red, but the
% second figrue should have a different pattern. 

% To check what to expect, try setting Y = randn(100,1) and YY = Y;
% This would be the case when projection remains unchanged. 
% For the case when projection changes set Y = randn(100,1) and 
% YY = randn(100,1).   Roughly, your scatter plots for your actual
% solution Y and YY's should look like the 4 figures produced by setting Y
% and YY in the mock way mentioned here.



